# Register images to tracker
milestone=${1}
suite=${2}
serial=${3}
pub_tracker=0

tracker_milestone=${milestone//-/ /}
tracker_suite=($(echo ${2} | fold -w1))
tracker_suite[0]=$(echo ${tracker_suite[0]} | tr [:lower:] [:upper:])
tracker_suite="$(echo ${tracker_suite[@]} | sed 's| ||g')"

[ "${milestone}" == "daily" ] &&
    [ "${distro}" == "precise" -o "${distro}" == "raring" ] &&
    pub_tracker=1

[ "${milestone}" != "daily" ] && pub_tracker=1

[ "${pub_tracker}" -eq 1 ] && {
    /srv/builder/tracker/ubuntu-archive-tools/post-amis-to-iso-tracker \
        --milestone "${tracker_suite} ${tracker_milestone}" \
        /srv/ec2-images/${suite}/${serial}/published-ec2-daily.txt || exit 1; }

exit 0
